#pragma once

#include <SDL2/SDL_mixer.h>

#include "../COMMON.h"

#define SOUND_PRIORITY 0
#define SOUND_NO_PRIORITY -1
#define SOUND_SPECIAL 1

typedef struct Sound
{
	Mix_Chunk* chunk;
	bool isInit;
} Sound;

bool sound_init(Sound* self, const char* path);
void sound_free(Sound* self);
void sound_play(Sound* self, s32 channel);
void sound_channel_stop(s32 channel);
